Bug 1262702 - cannot see X screen after power saving(?) kicks in
cannot see X screen after power saving(?) kicks in
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 03:15 EDT by James Patterson
Modified: 2016-07-19 13:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:53:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages log file containing error messages and the restart of gdm (845.58 KB, text/plain)
2015-09-28 10:29 EDT, Chris Zwilling
no flags Details

  None (edit)
Description James Patterson 2015-09-14 03:15:36 EDT
Description of problem:
If I leave my laptop unattended for a day or so, X cannot be seen any more. It's just a black screen.
I can switch virtual consoles and use those, but switching back to X does not work. I can only kill X and login again.

Version-Release number of selected component (if applicable):
gnome-shell-3.16.3-1.fc22.x86_64

How reproducible:
Every Monday morning

Additional info:
journalctl shows me loads of these errors:

gnome-session[1419]: (gnome-shell:1468): Cogl-WARNING **: Failed to set crtc mode 1920x1080: Permission denied
gnome-session[1419]: (gnome-shell:1468): Cogl-WARNING **: Failed to set crtc mode : Permission denied
gnome-session[1419]: (gnome-shell:1468): Cogl-WARNING **: Failed to set crtc mode : Permission denied
Comment 1 James Patterson 2015-09-14 03:16:56 EDT
$ lspci|grep VGA
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09)
Comment 2 James Patterson 2015-09-14 03:20:19 EDT
This message occurs before the very first error above:
gnome-session[1419]: Window manager warning: Failed to set power save mode for output eDP31: Permission denied

Interestingly this happens a day and a half after I stopped using my laptop for the weekend.
Comment 3 Chris Zwilling 2015-09-28 10:29 EDT
Created attachment 1077941 [details]
messages log file containing error messages and the restart of gdm

Here is the (trimmed down) log file that shows the "failed to set crtc mode" bug.
Comment 4 James Patterson 2015-09-29 00:54:53 EDT
Disabling power saving for the screen is a workaround that I tested and works.
Comment 5 lu4nx 2015-12-03 09:43:03 EST
Tody,I have encountered this problem.

First, I open a tty, and executing:

$ sudo journalctl -f

and restart GDM, print as follows:

Dec 03 22:03:22 lx-pc gnome-shell-wayland.desktop[6438]: gbm: failed to open any driver (search paths /usr/lib64/dri) 
Dec 03 22:03:22 lx-pc gnome-shell-wayland.desktop[6438]: gbm: Last dlopen error: /usr/lib64/dri/i965_dri.so: cannot open shared object file: No such file or directory


yes, I not found i965_dri.so in /usr/lib64/dri/, so, search this file and install it:


$ dnf provides '*/i965_dri.so'
Last metadata expiration check performed 5 days, 0:50:16 ago on Sat Nov 28 21:50:24 2015.
mesa-dri-drivers-11.0.6-1.20151122.fc23.x86_64 : Mesa-based DRI drivers
Repo        : @System
$ sudo install mesa-dri-drivers

and solve it.
Comment 6 James Patterson 2015-12-04 09:22:20 EST
Thanks Xi Lu. I am running Fedora 23 now and already have that package installed. I will re-enable power saving for the screen to see if the problem has gone away.
Comment 7 lu4nx 2015-12-06 23:14:11 EST
(In reply to James Patterson from comment #6)
> Thanks Xi Lu. I am running Fedora 23 now and already have that package
> installed. I will re-enable power saving for the screen to see if the
> problem has gone away.

I think you accidentally delete some library. yes, I accidentally delete `mesa-dri-drivers` package, so GDM don't work. You can using journalctl view log info ;-)
Comment 8 Fedora End Of Life 2016-07-19 13:53:11 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.